Ask Your Question
0

Can I properly use gazebo 8 with ros Kinetic?

asked 2019-09-19 04:38:21 -0600

kiko453 gravatar image

updated 2019-09-19 04:40:11 -0600

1) I use ros kinetic. if I remove gazebo 7 and install gazebo 8 will all functionality work correctly? or will there be some compatibility issues (when using turtlebot_gazebo package for example)?

2) I heart from colleagues that even with ros melodic it is not that straightforward to make gazebo 8 working, is that true?

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2019-09-19 05:04:54 -0600

Delb gravatar image

updated 2019-09-19 05:05:59 -0600

You should look at this : Which combination of ROS/Gazebo versions to use.

Under the default Gazebo version for each ros distribution section it states :

Melodic

ROS Melodic hosts or use the 9.x version of Gazebo. For a fully-integrated ROS system, we recommend using the 9.x version of Gazebo. The way to proceed is just to use the ROS repository (it will automatically install gazebo9) and do not use the osrfoundation repository.

This answer your second question, the default version for melodic is Gazebo 9 not 8.

Kinetic

ROS Kinetic hosts or use the 7.x version of Gazebo. For a fully-integrated ROS system, we recommend using the 7.x version of Gazebo. The way to proceed is just to use the ROS repository (it will automatically install gazebo7) and do not use the osrfoundation repository.

There is also a section about using another Gazebo version than the default one, you can do that by installing from the osrfoundation repository, but don't miss the warning :

Warning!: Using this option, you won't be able to use any ROS Ubuntu package related to Gazebo from ROS deb repository. The equivalent of gazebo_ros_pkgs can be installed from debian packages, but all other software (such as turtlebot_gazebo) must be built from source.

That means that it could work but you would have to build all the gazebo related package from source and if a package has a compatibility issue you might not be able to use it at all.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2019-09-19 04:38:21 -0600

Seen: 60 times

Last updated: Sep 19